#!/usr/bin/env python
# coding: utf-8

# In[33]:


from typing import List

def init():
     pass


# In[60]:


def get_url(url: List[str]):
    import os

    return os.path.join(os.getcwd(), *url)


# In[63]:



def get_images_by_keywords(keywords: List[str], limit: int):
    from google_images_download import google_images_download
    
    response = google_images_download.googleimagesdownload()

    arguments = {
        "keywords": ",".join(keywords),
        "limit": limit,
        "print_urls":True
    }
    paths = response.download(arguments)

def apply_augmentation(path_input_login):
    import Augmentor
    
    p = Augmentor.Pipeline(path_input_login)
    p.rotate(probability=1, max_left_rotation=5, max_right_rotation=5)
    p.flip_left_right(probability=0.5)
    p.zoom_random(probability=0.5, percentage_area=0.8)
    p.flip_top_bottom(probability=0.5)
    p.sample(50)
    p.process()

# get_images_by_keywords(["login_button"], 100)

path_input_login = get_url(["..", "input", "downloads", "login_button"])
apply_augmentation(path_input_login)


# In[ ]:




